org.jfree.report.flow

## Class LibLayoutReportTarget.LibLayoutReportTargetState

- java.lang.Object
- - org.jfree.report.flow.LibLayoutReportTarget.LibLayoutReportTargetState

- All Implemented Interfaces:
    java.io.Serializable, ReportTargetState
  Enclosing class:
    LibLayoutReportTarget

      protected static class LibLayoutReportTarget.LibLayoutReportTargetState
      extends java.lang.Object
      implements ReportTargetState

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LibLayoutReportTargetState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fill(LibLayoutReportTarget target)`
    `ReportTarget` | `restore(org.jfree.layouting.output.OutputProcessor out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LibLayoutReportTargetState

          public LibLayoutReportTargetState()

  - ### Method Detail

    - #### fill

          public void fill(LibLayoutReportTarget target)
                    throws org.jfree.layouting.StateException

      Throws:
        `org.jfree.layouting.StateException`

    - #### restore

          public ReportTarget restore(org.jfree.layouting.output.OutputProcessor out)
                               throws org.jfree.layouting.StateException

      Specified by:
        `restore` in interface `ReportTargetState`
      Throws:
        `org.jfree.layouting.StateException`